<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Exciting Comics</Series>
  <Number>11</Number>
  <Web>https://www.comixology.com/Exciting-Comics-11/digital-comic/955639</Web>
  <Summary>Revel in all-new MONTHLY thrills and adventure in Antarctic's Exciting! N.S. Kane and John Rhodes ("Dark Devil") kicks off an intense thriller showing we are not defined by our pasts.  In the ruins of Paradise City, hordes are dead or missing at the hands of government and their super-powered Hyprids.  All hope rests on the shoulders of one person as "The Nothing Man Cometh!"  A riot breaks out in the mega-villain prison. Can Alloy and the other megahero correction officers restore order? Find out in "Big House Blues" by Dan Sehn and Elton Thomas!  With the help of an ancient "manual" to human beings only he can understand, Camilo Wallace discovers incredible hidden skills, leading to "The Coming of the Veritas-Man" by Andre Léal!  And with her father, the hero known as Catman, in the clutches of the insidious Scalp Hunter, Katie Merrywhether must race to his rescue in "Catgirl" by Ben Dunn, David Furr and Jane Wen!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB955639], [ASINB099CDR161]</Notes>
  <Publisher>Antarctic Press</Publisher>
  <Genre>Action/Adventure, Superhero, Science Fiction</Genre>
  <PageCount>35</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
